Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class OptimizingStatementWriter.StatementMeta

    java.lang.Object
      org.codehaus.groovy.classgen.asm.OptimizingStatementWriter.StatementMeta

    public static class OptimizingStatementWriter.StatementMeta

Field Summary
`protected boolean[]` | `involvedTypes`
`protected MethodNode` | `target`
`protected ClassNode` | `type`

Method Summary
`void` | `chainInvolvedTypes(OptimizeFlagsCollector opt)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### involvedTypes

    protected boolean[] involvedTypes

### target

    protected MethodNode target

### type

    protected ClassNode type

Method Detail

### chainInvolvedTypes

    public void chainInvolvedTypes(OptimizeFlagsCollector opt)

### toString

    public java.lang.String toString()

Groovy Documentation